Is CS 5.3.2 compatible with 5.1.8? Vice versa?

CodeSite Dispatcher, CodeSite Viewers, CodeSite Controller

Is CS 5.3.2 compatible with 5.1.8? Vice versa?

Postby havkrog » Wed May 23, 2018 5:29 am

Hi-

I use CS 5.1.8 to log from a Windows service and hence the CSDispather is also running as a service.

Occasionally my service stops responding and the log file seems to indicate, that the logging is also failing, and that maybe the logging is the source of my problems.

I plan to move to CS 5.3.2 to see if that fixes it. But while I have a handful of customer sites where the dispatcher is running as a service, I have hundreds of sites, where the dispatcher is running as a normal application without problems. So I need to be able to upgrade CS on some sites, while not upgrading the rest.

That rises the question:

Is the CSDispacther 5.1.8 compatible with log messages from Delphi applications built with CS 5.3.2 components?

Alternatively, if I continue to build my application with CS 5.1.8 components, and only distribute CSDispatcher 5.3.2 to the problem sites, will it work, and will the problem fixed with 5.3.2 also be fixed in this combination of versions?

Hope I'm clear.

Bets regards
Jacob
havkrog
 
Posts: 4
Joined:
Tue Sep 20, 2011 1:25 pm

Re: Is CS 5.3.2 compatible with 5.1.8? Vice versa?

Postby Raize Support » Thu May 24, 2018 1:25 am

Hi Jacob,

The CodeSite Dispatcher in 5.1.8 should be able to handle CodeSite messages generated by applications built using version 5.3.2. The CodeSite message format has not changed in the version 5.x releases.

Likewise, the CodeSite Dispatcher 5.3.2 will handle CodeSite messages generated by applications built with earlier versions of CodeSite.

Ray
Raize Software Support
Raize Software
http://www.raize.com
Raize Support
 
Posts: 616
Joined:
Fri Mar 25, 2011 9:04 pm


Return to Tools

Who is online

Users browsing this forum: No registered users and 0 guests

cron